cURL
curl --request PATCH \ --url https://api.example.com/artifacts/{id} \ --header 'Content-Type: application/json' \ --data ' { "data": {}, "description": "<string>", "metadata_": {} } '
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Update an artifact in the database.
Documentation IndexFetch the complete documentation index at: https://docs.prefect.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the artifact to update.
Data used by the Prefect REST API to update an artifact.
Show child attributes
Successful Response
Was this page helpful?